package com.yidian.shenghuoquan.newscontent.bean

/**
 * FileName: GoWebBean
 * Author: sym
 * Date: 2021/3/13 3:58 PM
 */
data class WebArticleBean(
    val action: String,
    val from: String,
    val options: Options,
    val params: Params
) {

    data class Options(
        val method: String
    )

    data class Params(
        val commentDetail: CommentDetail,
        val reply_toid: String,
        val top_comment_id: String,
        val user_name: String
    )

    data class CommentDetail(
        val appId: String,
        val auditStatus: Int,
        val businessId: Int,
        val comment: String,
        val commentId: String,
        val createTime: Int,
        val dislikes: Int,
        val docAuthor: Int,
        val docId: String,
        val id: Int,
        val isLike: Int,
        val likes: Int,
        val replies: Int,
        val replyComments: List<ReplyComment>,
        val replyToId: String,
        val src: Int,
        val status: Int,
        val topCommentId: String,
        val updateTime: Int,
        val userId: Int,
        val userImage: String,
        val userName: String,
        val utk: String
    )

    data class ReplyComment(
        val appId: String,
        val auditStatus: Int,
        val businessId: Int,
        val comment: String,
        val commentId: String,
        val createTime: Int,
        val dislikes: Int,
        val docAuthor: Int,
        val docId: String,
        val id: Int,
        val likes: Int,
        val replies: Int,
        val replyToId: String,
        val replyToUserId: Int,
        val src: Int,
        val status: Int,
        val topCommentId: String,
        val updateTime: Int,
        val userId: Int,
        val userImage: String,
        val userName: String,
        val utk: String
    )
}
